package ch.std.jumpstartsecured.rest;

import java.util.List;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ch.std.jumpstartsecured.beans.CitiesBean;

@RestController
public class CityAutoCompleteController {

	@RequestMapping("/rest/auto/cities")
	public List<String> autoComplete(@RequestParam(value = "value") String value) {
		List<String> cities = new CitiesBean().find(value);
		return cities;
	}
}
